use std::io::stdin;

use microlang::Context;

pub fn main() {
	unsafe { backtrace_on_stack_overflow::enable() };
	let mut context = Context::empty();
	loop {
		let mut line = String::new();
		stdin().read_line(&mut line).unwrap();
		let res = context.eval(line);
		dbg!(res).ok();
	}
}
